package com.yutou.qqbot.models.Commands.System;

import com.yutou.qqbot.Annotations.UseModel;
import com.yutou.qqbot.QQBotManager;
import com.yutou.qqbot.models.Model;
import com.yutou.qqbot.utlis.HttpTools;
import com.yutou.napcat.event.MessageEvent;
@UseModel
public class BtFlash extends Model {
    @Override
    public boolean isUserPublic() {
        return false;
    }

    @Override
    public String[] getUsePowers() {
        return new String[]{
                QQGroupCommands.QQ_BT_RELOAD
        };
    }

    @Override
    public String getModelName() {
        return "刷新bt";
    }

    @Override
    public void onMessage(Long qq, MessageEvent event, boolean isGroup) {
        super.onMessage(qq, event, isGroup);
        if(msg.equals(QQGroupCommands.QQ_BT_RELOAD)){
            HttpTools.get("http://192.168.31.88:8000/bt/down.do");
            QQBotManager.getInstance().sendMessage(qq,"已提交");
        }
    }
}
